<?php
/*
Plugin Name: itbuben-counter Plugin
Plugin URI:  https://itbuben.ru/
Description: Простой плагин для вывода кол-ва показов страницы
Version:     0.0.1b
Author:      John Mnemonic
Author URI:  https://itbuben.ru/itbuben-counter
License:     GPL2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

function getPostViews($postID)
{

    $count_key = 'post_views_count';

    $count = get_post_meta($postID, $count_key, true);

    if ($count == '') {

        delete_post_meta($postID, $count_key);

        add_post_meta($postID, $count_key, '0');

        return "0 просмотров";
    }

    return $count . ' просмотров';
}

function setPostViews($postID)
{

    $count_key = 'post_views_count';

    $count = get_post_meta($postID, $count_key, true);

    if ($count == '') {

        $count = 0;

        delete_post_meta($postID, $count_key);

        add_post_meta($postID, $count_key, '0');

    } else {

        $count++;
        update_post_meta($postID, $count_key, $count);
    }
}